
[tox]
envlist = py27, py35, py37

[testenv]
commands =
        pip install --upgrade pip
        pip install --upgrade setuptools wheel
        pip install --upgrade --upgrade-strategy eager Tailbone[tests] rattail[auth,bouncer,db] rattail-tempmon
        pytest {posargs}

[testenv:py27]
commands =
        pip install --upgrade pip
        pip install --upgrade setuptools wheel
        pip install --upgrade --upgrade-strategy eager Tailbone[tests] rattail[auth,bouncer,db] rattail-tempmon SQLAlchemy-Utils<0.36.7 SQLAlchemy-Continuum<1.3.12
        pytest {posargs}

[testenv:coverage]
basepython = python3
commands =
        pip install --upgrade pip
        pip install --upgrade --upgrade-strategy eager Tailbone[tests] rattail[auth,bouncer,db] rattail-tempmon
        pytest --cov=tailbone --cov-report=html

[testenv:docs]
basepython = python3
changedir = docs
commands =
        pip install --upgrade pip
        pip install --upgrade --upgrade-strategy eager Tailbone[docs] rattail[auth,bouncer,db] rattail-tempmon
        sphinx-build -b html -d {envtmpdir}/doctrees -W -T . {envtmpdir}/docs
